const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Banyuasin',
    'Kabupaten Empat Lawang',
    'Kabupaten Lahat',
    'Kabupaten Muara Enim',
    'Kabupaten Musi Banyuasin',
    'Kabupaten Musi Rawas',
    'Kabupaten Musi Rawas Utara',
    'Kabupaten Ogan Ilir',
    'Kabupaten Ogan Komering Ilir',
    'Kabupaten Ogan Komering Ulu',
    'Kabupaten Ogan Komering Ulu Selatan',
    'Kabupaten Ogan Komering Ulu Timur',
    'Kabupaten Penukal Abab Lematang Ilir',
    'Kota Lubuklinggau',
    'Kota Pagar Alam',
    'Kota Palembang',
    'Kota Prabumulih'

    // 17
];

exports.seedSumateraSelatanCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sumatera Selatan' },
    });

    if (!province) {
        console.error('❌ Province Sumatera Selatan not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sumatera Selatan City seeded!.');
};